/*
	WinSTon
*/

enum {
	TOOLBAR_BUTTON_RESET,			// Different tool bar buttons
	TOOLBAR_BUTTON_RESET_MENU,
	TOOLBAR_BUTTON_FLOPPYA,
	TOOLBAR_BUTTON_FLOPPYA_MENU,
	TOOLBAR_BUTTON_FLOPPYB,
	TOOLBAR_BUTTON_FLOPPYB_MENU,
	TOOLBAR_BUTTON_OPTIONS,
	TOOLBAR_BUTTON_OPTIONS_MENU,
	TOOLBAR_BUTTON_FAVOURITES,
	TOOLBAR_BUTTON_HELP,
	
	NUM_TOOLBAR_BUTTONS
};

enum {								// Button states
	BUTTON_STATE_UP,
	BUTTON_STATE_HIGHLIGHT,
	BUTTON_STATE_DOWN
};

enum {								// Pop-up menus on ToolBar
	POPUP_MENU_RESET,
	POPUP_MENU_FLOPPY_A,
	POPUP_MENU_FLOPPY_B,
	POPUP_MENU_OPTIONS,

	MAX_POPUP_MENU
};

enum {								// Reset Query for inserting disc images
	RESETQUERY_ASKUSER,
	RESETQUERY_RESET,
	RESETQUERY_NORESET
};

extern HMENU hToolBarMenus[MAX_POPUP_MENU][2];

extern void ToolBar_CreateMenus(void);
extern void ToolBar_FreeMenus(void);
extern int ToolBar_FindChosenButton(int x, int y);
extern void ToolBar_DrawButton(HDC hDC, HDC MemDC,int ButtonID);
extern void ToolBar_DrawButtons(HDC hDC);
extern BOOL ToolBar_SetButtonHighlight(int ChosenButton);
extern void ToolBar_UpdateOnMoveMove(int x,int y);
extern void ToolBar_Activate_Reset(BOOL bShiftKeyHeld,int ResetQuery,BOOL bColdReset);
extern void ToolBar_OpenFloppyDialog(int Drive,BOOL bOverrideShiftKey,int ResetQuery);
extern void ToolBar_Activate_FloppyA(BOOL bOverrideShiftKey);
extern void ToolBar_Activate_FloppyB(BOOL bOverrideShiftKey);
extern void ToolBar_Activate_Options(void);
extern void ToolBar_Activate_Favourites(void);
extern void ToolBar_Activate_Help(void);
extern void ToolBar_ActivateOnLeftButtonDown(int x,int y);
extern void ToolBar_ActivateOnRightButtonDown(int x,int y);
